## org.eclipse.m2m.atl.adt.ui.compatibility
Class CompatibilityDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.jface.dialogs.TitleAreaDialog
                      org.eclipse.m2m.atl.adt.ui.compatibility.CompatibilityDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class CompatibilityDialog

extends org.eclipse.jface.dialogs.TitleAreaDialog

An UI class for old ATL projects conversion.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`CompatibilityDialog(org.eclipse.swt.widgets.Shell shell, org.eclipse.ui.IWorkbenchWindow window)` Create an instance of this Dialog.

Method Summary
`protected void` `configureShell(org.eclipse.swt.widgets.Shell shell)`
`protected org.eclipse.swt.widgets.Control` `createDialogArea(org.eclipse.swt.widgets.Composite parent)`
`protected void` `okPressed()`

Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`createContents, getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, createButtonBar, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompatibilityDialog

    public CompatibilityDialog(org.eclipse.swt.widgets.Shell shell,
                               org.eclipse.ui.IWorkbenchWindow window)

  Create an instance of this Dialog.

  Parameters:
    `shell` - the shell
    `window` - the workbench window

Method Detail

### configureShell

    protected void configureShell(org.eclipse.swt.widgets.Shell shell)

  Overrides:
    `configureShell` in class `org.eclipse.jface.window.Window`
  See Also:
    `Window.configureShell(org.eclipse.swt.widgets.Shell)`

### createDialogArea

    protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.TitleAreaDialog`
  See Also:
    `TitleAreaDialog.createDialogArea(org.eclipse.swt.widgets.Composite)`

### okPressed

    protected void okPressed()

  Overrides:
    `okPressed` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Dialog.okPressed()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.